## @id $Id$
##
## This file has been added:
##  - by bootstrap.sh
##  -  on Wed, 11 November 2015 12:59:08 +0100
## Feel free to change it or even remove and rebuild it, up to your needs
##
##       1         2         3         4         5         6         7         8
## 45678901234567890123456789012345678901234567890123456789012345678901234567890

bin_PROGRAMS = tokentool

## required to enable the translation feature
LANGUAGE_FILE_BASE = tokentool

## list here the Qt plugins your project depends on
## required to build Mac OS-X app-bundle
QT_PLUGINS = iconengines imageformats platforms

#### enable if you deliver a KDE/Gnome desktop file
#applicationsdir = /applications
#dist_applications_DATA = tokentool.desktop

#### enable (ev. instead of bin_PROGRAMS) if you build a library
#lib_LTLIBRARIES = tokentool.la
#tokentool_la_SOURCES = libmain.cxx version.cxx
## noop to prevent:
## «src/makefile.am: error: object 'version.$(OBJEXT)' created both with
## libtool and without»
#tokentool_la_CXXFLAGS = $(AM_CXXFLAGS)

## list headers that are required for build, but that are not installed
noinst_HEADERS = version.hxx

## list all %.hxx files with Q_OBJECT as moc_%.cxx
tokentool_MOCFILES = moc_tokentool.cxx

## list all %.ui files as ui_%.hxx
tokentool_UIFILES = ui_tokentool.hxx

## list all %.qrc resource files as qrc_%.cxx
## note: if there exists a directory %, the file %.qrc is generated from that
tokentool_RESOURCES =  qrc_languages.cxx qrc_resources.cxx

## list all final translation files, list all supported languages here
tokentool_TRANSLATIONS = ${LANGUAGE_FILE_BASE}_en.qm	\
     ${LANGUAGE_FILE_BASE}_de.qm \
     ${LANGUAGE_FILE_BASE}_fr.qm \
     ${LANGUAGE_FILE_BASE}_it.qm

## list all C++ files that need translation
tokentool_TR_FILES = main.cxx version.cxx

## automatic assembly, no need to change
tokentool_SOURCES = ${tokentool_TR_FILES} ${BUILT_SOURCES}

## automatic assembly, no need to change
BUILT_SOURCES = ${tokentool_MOCFILES} ${tokentool_UIFILES}		\
                ${tokentool_TRANSLATIONS} ${tokentool_RESOURCES}

## automatic assembly, no need to change
EXTRA_DIST_TR = ${tokentool_MOCFILES:moc_%.cxx=%.hxx}	\
                ${tokentool_UIFILES:ui_%.hxx=%.ui}

## automatic assembly, no need to change
## except: adapt the pre-delivered qt_%.qm list (language files you copy from qt
EXTRA_DIST = ${EXTRA_DIST_TR} ${tokentool_RESOURCES:qrc_%.cxx:%.qrc}	\
             ${tokentool_TRANSLATIONS:%.qm=%.ts} qt_de.qm qt_fr.qm

## automatic assembly, no need to change
LANGUAGE_FILES = ${EXTRA_DIST_TR} ${tokentool_TR_FILES}

MAINTAINERCLEANFILES = makefile.in
